> For the complete documentation index, see [llms.txt](https://docs.clipper.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clipper.exchange/disclaimers-and-technical/smart-contracts/subgraph/queries.md).

# Queries

Below are some sample queries you can use to gather information from the Clipper contracts.

You can build your own queries using a [GraphQL Explorer](https://graphiql-online.com/graphiql) and enter your endpoint to limit the data to exactly what you need.

## Get Swaps

```graphql
{
  swaps {
    id
    inToken {
      name
      symbol
    }
    outToken {
      name
      symbol
    }
    transaction {
      id
    }
    amountIn
    amountOut
    origin
    sender {
      id
    }
    timestamp
    transactionSource {
      id
    }
  }
}
```

## Get Deposits to Clipper pool

```graphql
{
  deposits(orderBy: timestamp, orderDirection: desc) {
    amount
    usdValue
    token {
      symbol
    }
    amount
  }
}
```

## Get txs by pair

```graphql
{
  pairs {
    txCount
    asset0 {
      symbol
    }
    asset1 {
      symbol
    }
  }
}
```

## Swap Count

```graphql
{
  pools {
    id
    txCount
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.clipper.exchange/disclaimers-and-technical/smart-contracts/subgraph/queries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
